package rb.gui;

import com.intellij.samples.uiDesigner.Main;
import com.intellij.samples.uiDesigner.SamplePanel;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.net.URL;

/**
 * <p>The sample UI demonstration of UIDesigner using.
 * <p>Please take a look at SamplePanel form to see structure of UI form.
 * @author <a href="mailto:aefimov@spklabs.com">Alexey Efimov</a>
 * @version $Revision$ $Date$
 */
public class TestForm {
  public static void main(String[] args) {
    JFrame jFrame = new JFrame("My testForm");
    URL iconURL = TestForm.class.getResource("/fileTypes/uiForm.png");
    if (iconURL != null) {
      jFrame.setIconImage(new ImageIcon(iconURL).getImage());
    }
    jFrame.addWindowListener(
      new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
          System.exit(0);
        }
      }
    );
    jFrame.getContentPane().add(new TestPanel());
    jFrame.pack();
    jFrame.show();
  }
}
